%define ver      0.99.1
%define rel      1.rh.el.um.2

Summary: Helper script to block ARP Advertisments using arptables
Name: arptables-noarp-addr
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Internet
Source: arptables-noarp-addr-%{ver}.tar.gz
BuildRoot: /var/tmp/arptables-noarp-addr-%{PACKAGE_VERSION}-root
Packager: Horms <horms@verge.net.au>
URL: http://www.ultramonkey.org/
Provides: arptables-noarp-addr-%{ver}-%{rel}
Requires: arptables_jf >= 0.0.7-0.3E, iproute
BuildArch: noarch

%description
Makes use of arptables to block ARP advertisments of a given
IP address that may be present on, say the loopback interface
as part of an LVS (www.linuxvirtualserver.org) setup.
Wrappers provided to be used inconjunction with
heartbeat's local_giveip and local_takeip scripts.

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install

%clean
#rm -rf $RPM_BUILD_ROOT

%post

%postun

%preun

%files
%defattr(-,root,root)
%doc %attr(-, root, root) README ChangeLog
/usr/sbin/*
/usr/share/man/man8/*
%config /etc/ha.d/rc.d/*

%changelog
* Mon Jul 25 2005 Horms <horms@verge.net.au>
- Add versioned dependancy on arptables_jf >= arptables_jf-0.0.7-0.3E

* Fri Feb 21 2004 Horms <horms@verge.net.au>
- Initial release
